package cz.senslog.connector.push.theros;

import cz.senslog.connector.model.config.DefaultConfig;
import cz.senslog.connector.model.config.PropertyConfig;

public class AuthConfig {

    private final String url;
    private final String clientId;
    private final String clientSecret;
    private final String username;
    private final String password;

    AuthConfig(PropertyConfig defaultConfig) {
        this.url = defaultConfig.getStringProperty("url");
        this.clientId = defaultConfig.getStringProperty("clientId");
        this.clientSecret = defaultConfig.getStringProperty("clientSecret");
        this.username = defaultConfig.getStringProperty("username");
        this.password = defaultConfig.getStringProperty("password");
    }

    public String getUrl() {
        return url;
    }

    public String getClientId() {
        return clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }
}
